import { type VariantProps } from 'tailwind-variants';
import { type Gap } from '../../types';
declare const dialogBody: import("tailwind-variants").TVReturnType<{
    contentPaddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentPaddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
        GREY_30: string;
        GREY_65: string;
        GREY_100: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    contentPaddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentPaddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
        GREY_30: string;
        GREY_65: string;
        GREY_100: string;
    };
}, {
    contentPaddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentPaddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
        GREY_30: string;
        GREY_65: string;
        GREY_100: string;
    };
}>, {
    contentPaddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentPaddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
        GREY_30: string;
        GREY_65: string;
        GREY_100: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    contentPaddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentPaddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
        GREY_30: string;
        GREY_65: string;
        GREY_100: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    contentPaddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentPaddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
        GREY_30: string;
        GREY_65: string;
        GREY_100: string;
    };
}, {
    contentPaddingBlock: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentPaddingInline: {
        0: string;
        2: string;
        1: string;
        3: string;
        4: string;
        8: string;
        [-1]: string;
        1.25: string;
        1.5: string;
        2.5: string;
        0.5: string;
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
        [-2]: string;
        [-3]: string;
        0.25: string;
        0.75: string;
        3.5: string;
        [-0.25]: string;
        [-0.5]: string;
        [-0.75]: string;
        [-1.25]: string;
        [-1.5]: string;
        [-2.5]: string;
        [-3.5]: string;
        [-4]: string;
        [-8]: string;
        X3S: string;
        X3L: string;
    };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
        GREY_30: string;
        GREY_65: string;
        GREY_100: string;
    };
}>, unknown, unknown, undefined>>;
export type ContentBodyProps = Pick<VariantProps<typeof dialogBody>, 'contentBgColor'> & {
    contentPadding?: Gap | {
        block?: Gap;
        inline?: Gap;
    };
};
export declare const useDialoginnerStyle: (offsetHeight: number, bgColor: ContentBodyProps['contentBgColor'], padding?: ContentBodyProps['contentPadding']) => {
    titleAreaStyle: string;
    bodyStyleProps: {
        className: string;
        style: {
            maxHeight: string;
        };
    };
    actionAreaStyle: string;
    buttonAreaStyle: string;
    messageStyle: string;
};
export {};
